vigra - OOBError Class Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| OOBError Class Reference |

Compute the out of bag error. More...

`#include <vigra/random_forest_3/random_forest_visitors.hxx>`

Inheritance diagram for OOBError:

## Public Member Functions
template<typename VISITORS , typename RF , typename FEATURES , typename LABELS >
void | visit_after_training (VISITORS &visitors, RF &rf, const FEATURES &features, const LABELS &labels)
template<typename TREE , typename FEATURES , typename LABELS , typename WEIGHTS >
void | visit_before_tree (TREE &, FEATURES &, LABELS &, WEIGHTS &weights)
Public Member Functions inherited from RFVisitorBase
void | activate ()
| Activate the visitor.
void | deactivate ()
| Deactivate the visitor.
bool | is_active () const
| Return whether the visitor is active or not.
template<typename TREE , typename FEATURES , typename LABELS , typename WEIGHTS , typename SCORER , typename ITER >
void | visit_after_split (TREE &, FEATURES &, LABELS &, WEIGHTS &, SCORER &, ITER, ITER, ITER)
| Do something after the split was made.
template<typename VISITORS , typename RF , typename FEATURES , typename LABELS >
void | visit_after_training (VISITORS &, RF &, const FEATURES &, const LABELS &)
| Do something after all trees have been learned. More...
template<typename RF , typename FEATURES , typename LABELS , typename WEIGHTS >
void | visit_after_tree (RF &, FEATURES &, LABELS &, WEIGHTS &)
| Do something after a tree has been learned.
void | visit_before_training ()
| Do something before training starts.
template<typename TREE , typename FEATURES , typename LABELS , typename WEIGHTS >
void | visit_before_tree (TREE &, FEATURES &, LABELS &, WEIGHTS &)
| Do something before a tree has been learned. More...

## Public Attributes
double | oob_err_

## Detailed Description

Compute the out of bag error.

After training, each data point is put down those trees for which it is OOB. Using bootstrap sampling, each data point is OOB for approximately 37% of the trees.

## Member Function Documentation

void visit_before_tree | ( | TREE & | ,
|  | FEATURES & | ,
|  | LABELS & | ,
|  | WEIGHTS & | weights
| ) |  |

Save whether a data point is in-bag (weight > 0) or out-of-bag (weight == 0).

void visit_after_training | ( | VISITORS & | visitors,
|  | RF & | rf,
|  | const FEATURES & | features,
|  | const LABELS & | labels
| ) |  |

Compute the out-of-bag error.

## Member Data Documentation

double oob_err_

the out-of-bag error

The documentation for this class was generated from the following file:

- vigra/random_forest_3/random_forest_visitors.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1 (Fri May 19 2017)